uniform sampler2D Texture;

varying vec4 C;

void main()
{
    vec4 v = vec4( gl_Vertex );
    
    vec4 color = texture2D( Texture, ( gl_TextureMatrix[0] * gl_MultiTexCoord0 ).st );
    
    v.z = color.r;
    
//  v.x += (color.b-0.5)/2.;
//  v.y += (color.g-0.5)/2.;

    C = color;
    gl_Position = gl_ModelViewProjectionMatrix * v;
}

